public class EvenOddThreads {

    public static void main(String[] args) {
        // Thread to print even numbers
        Thread evenThread = new Thread(() -> {
            for (int i = 2; i <= 10; i += 2) {
                System.out.println("Even: " + i);
                try {
                    Thread.sleep(500); // Sleep for 500 milliseconds
                } catch (InterruptedException e) {
                    Thread.currentThread().interrupt();
                    System.out.println("Even thread interrupted");
                }
            }
        });

        // Thread to print odd numbers
        Thread oddThread = new Thread(() -> {
            for (int i = 1; i < 10; i += 2) {
                System.out.println("Odd: " + i);
                try {
                    Thread.sleep(500); // Sleep for 500 milliseconds
                } catch (InterruptedException e) {
                    Thread.currentThread().interrupt();
                    System.out.println("Odd thread interrupted");
                }
            }
        });

        // Start both threads
        evenThread.start();
        oddThread.start();
    }
}
